Name:           puddletag
Version:        1.0.5
Release:        %mkrel 1
Summary:        An audio tag editor
# investigate license with upstream, web site says GPLv3 whereas the files in
# the tarball say GPLv2
License:        GPLv2+
Group:          Sound/Utilities
Url:            http://puddletag.sourceforge.net/
Source0:        http://sourceforge.net/projects/puddletag/files/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  imagemagick

Requires:       python-qt4
Requires:       mutagen
Requires:       python-configobj
Requires:       python-pyparsing
Requires:       python-musicbrainz2

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (http://www.mp3tag.de). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma 
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%setup -q

# fix permissions
chmod 644 NEWS

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' \
  puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py,webdb.py}

%build
%{__python} setup.py build

%install
%{__python} setup.py install \
	--skip-build \
	--root=%{buildroot}

# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,96x96}/apps

install -m644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/96x96/apps/

for i in 16x16 32x32 64x64; do
  convert -resize "$i" %{name}.png %{buildroot}%{_iconsdir}/hicolor/"$i"/apps/%{name}.png
done

%files
%doc changelog copyright HACKING NEWS README THANKS TODO
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man?/%{name}.*


%changelog
* Sat Nov 29 2014 daviddavid <daviddavid> 1.0.5-1.mga5
+ Revision: 799949
- new version: 1.0.5
- update Source0 Url
- add the changelog file in doc package

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 740233
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 727965
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 687832
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 542903
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 498043
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 wally <wally> 1.0.1-2.mga4
+ Revision: 452592
- drop requires for python-imaging

* Wed Jul 10 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 452587
- new version 1.0.1
- clean .spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 0.10.3-3.mga3
+ Revision: 378302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.10.3-2.mga3
+ Revision: 324480
- update RPM group

* Fri May 13 2011 ahmad <ahmad> 0.10.3-1.mga1
+ Revision: 97801
- imported package puddletag

